#include "discoveryitem.h"

DiscoveryItem::DiscoveryItem():
	active(false)
{
	connect(&discovery, &Discovery::server_discovered, this, &DiscoveryItem::server_discovered);
}

void DiscoveryItem::set_active(bool a)
{
	if(a==active)
		return;

	active = a;
	if(active)
		discovery.start();
	else
		discovery.stop();

	emit active_changed();
}

void DiscoveryItem::server_discovered(const QHostAddress &addr)
{
	if(addr==server_addr)
		return;

	server_addr = addr;
	emit server_name_changed();
}
