#ifndef XINESTREAM_H_
#define XINESTREAM_H_

#include <string>
#include <xine.h>

class XineEngine;

class XineStream
{
private:
	xine_stream_t *stream;
	xine_event_queue_t *queue;

public:
	XineStream(XineEngine &, const std::string &);
	~XineStream();

	void play();
	void stop();

	void tick();
private:
	void handle_event(const xine_event_t &);
};

#endif
